Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.pdmodel.graphics.xobject
Class PDInlinedImage

    java.lang.Object
      org.pdfbox.pdmodel.graphics.xobject.PDInlinedImage

public class PDInlinedImage
extends Object

This class represents an inlined image.

Version:
  $Revision: 1.3 $
Author:
  Ben Litchfield (ben@csh.rit.edu)

Constructor Summary
`PDInlinedImage()`

Method Summary
`BufferedImage` | `createImage()` This will take the inlined image information and create a java.awt.Image from it.
`byte[]` | `getImageData()` Get the bytes for the image.
`ImageParameters` | `getImageParameters()` This will get the image parameters.
`void` | `setImageData(byte[] value)` Set the bytes that make up the image.
`void` | `setImageParameters(ImageParameters imageParams)` This will set the image parameters for this image.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PDInlinedImage

    public PDInlinedImage()

Method Detail

### getImageParameters

    public ImageParameters getImageParameters()

  This will get the image parameters.

  Returns:
    The image parameters.

### setImageParameters

    public void setImageParameters(ImageParameters imageParams)

  This will set the image parameters for this image.

  Parameters:
    `imageParams` - The imageParams.

### getImageData

    public byte[] getImageData()

  Get the bytes for the image.

  Returns:
    The image data.

### setImageData

    public void setImageData(byte[] value)

  Set the bytes that make up the image.

  Parameters:
    `value` - The image data.

### createImage

    public BufferedImage createImage()
                              throws IOException

  This will take the inlined image information and create a java.awt.Image from it.

  Returns:
    The image that this object represents.
  Throws:
    `IOException` - If there is an error creating the image.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD